summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMonty Taylor <mordred@inaugust.com>2013-08-09 11:30:03 -0300
committerMonty Taylor <mordred@inaugust.com>2013-08-10 17:30:08 -0300
commitcb4a30bdc690abed44a940fbcff4cb945631325b (patch)
tree1976b3e914192054531f6f6ad9bbbadc6f93f8ad
parent270594f4e12dd3d2ce94e2e32128d72aba490cd6 (diff)
downloadpbr-cb4a30bdc690abed44a940fbcff4cb945631325b.tar.gz
Update requirements in integration test
So that we don't test combinations of things that we won't see in the gate, run the same requirements sync job that devstack does. Change-Id: I0ee375b4e41aa214acf4cd3bfeb1b3a8ccb08dff
-rw-r--r--tools/integration.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/tools/integration.sh b/tools/integration.sh
index 2bd0b6a..8f7b46f 100644
--- a/tools/integration.sh
+++ b/tools/integration.sh
@@ -173,6 +173,13 @@ for PROJECT in $PROJECTS ; do
continue
fi
shortprojectdir=$projectdir/$SHORT_PROJECT
+ sudo chown -R $USER $REPODIR/$SHORT_PROJECT
+ (cd $REPODIR/requirements && python update.py $REPODIR/$SHORT_PROJECT)
+ pushd $REPODIR/$SHORT_PROJECT
+ if ! git diff --quiet ; then
+ git commit -a -m'Update requirements'
+ fi
+ popd
git clone $REPODIR/$SHORT_PROJECT $shortprojectdir
sdistvenv=$tmpdir/sdist